PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!


 
 
  1. #11
    Join Date
    Apr 2005
    Posts
    29,526
    Some people on iRC say they used it (v0.5) on their stock 2.50/2.60 PSPs and it works OK, but not nearly as many as those who used it on a PSP updated to 2.50/2.60 yet... time will tell for sure.

    For those of you wondering why your UMDs say "Disc cannot be read," simply take the battery out of the PSP (for up to 5 minutes) and then put it back in your PSP and your UMDs will work fine!

  2. #12
    Join Date
    Oct 2005
    Posts
    5
    It worked for me yay!!!!!!!!!!!!

  3. #13
    Join Date
    Mar 2006
    Posts
    27
    Confirmed v0.5 works on PSP1000 which came with 1.50 upgraded to 2.60 then back to 1.50.

    v0.5 loads black screen, MS light flashes for about 3 mins, psp automatically reboots, come on stating memory currupt, then reboots again to welcome you with the psp setup screens just like a clean psp from the shops.

  4. #14
    Join Date
    Apr 2006
    Posts
    1
    I had a 2.01 psp, i upgraded it to 2.5 yesterday and downgraded it, it worked guys... my friend tried it with his 2.6 factory psp and it didnt work. this downgrader is great for 2.01 and 2.02 psp.

  5. #15
    I tried it on my 2.60 and it worked like a beauty, good work lads!

  6. #16
    Join Date
    Apr 2005
    Posts
    29,526

    Arrow

    Just search for GTA EBOOT Loader on www.urPSP.com and you'll find several... then read the descriptions to decide which is best for you, for reference v0.9.7 is one of the more recent ones. Please read the ReadMes and figure out how to use them on your own though- I DON'T want this thread turned into a "How Do I Use It..." so keep this topic on Post Your Results: Dark_AleX's 2.6 Downgrader Test guys.

  7. #17

    Stick Out Tongue

    i tried the downgrader and all went awesome, memory stick light was supposed to go out and then restart my psp, but it never did go out it stopped for 2 seconds and then this screen popped up in some weird language all i understood was to press "o" so i did and changed nickname and language and checked system information and wala 2.5 PSP downgraded to 1.5

  8. #18
    Has anyone heard anything of it working on model PSP1001 psp's? and if so, what firmware?

  9. #19

    2.01 to 2.6 to 1.5

    totally works take me hat off to you lot, first attempt broke my black psp 2.6 1001, worked on my 1000 white 2.01 version upgraded 2.6, it took me balls of steel to try again but its worth it i have a 1.5.

  10. #20
    i also have just tried the 0.5 downdater and works great, had psp v2.60 and now at 1.50, very great work!

 




Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
  • Register, Login or Activate Your Account to post on the forums.